> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/private/list_user_info.md).

# Listar Dados do Usuário

## Listar informações de um usuário

<mark style="color:blue;">`GET`</mark> `https://api.gestao.plus/user?filter[0][field]=id&filter[0][type]=eq&filter[0][value]=$USER:ID`

Nesta rota você conseguirá listar as informações de um usuário.

#### Query Parameters

| Name                                                 | Type   | Description |
| ---------------------------------------------------- | ------ | ----------- |
| filter\[0]\[value]<mark style="color:red;">\*</mark> | string | $USER\_ID   |
| filter\[0]\[field]<mark style="color:red;">\*</mark> | string | id          |
| filter\[0]\[type]<mark style="color:red;">\*</mark>  | string | eq          |

#### Headers

| Name                                            | Type   | Description        |
| ----------------------------------------------- | ------ | ------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {Seu TOKEN} |
| Origin<mark style="color:red;">\*</mark>        | string | URL de origem      |

{% tabs %}
{% tab title="200 " %}

```
{
    "_links": {
        "self": {
            "href": "https://api.gestao.plus/user"
        }
    },
    "_embedded": {
        "user": [
            {
                "id": 5510,
                "username": "SEU NOME DE USUÁRIO",
                "document": "SEU DOCUMENTO CPF/CNPJ",
                "name": "NOME",
                "email": "EMAIL",
                "phone": "SEU TELEFONE",
                "cellphone": "SEU CELULAR",
                "businessPhone": null,
                "zipCode": "SEU CEP",
                "address": "Rua Bela Vista",
                "number": 0,
                "addressDetail": null,
                "neighborhood": "Centro",
                "city": "cidade",
                "state": "estado",
                "dateCreated": {
                    "date": "2021-02-04 15:51:17.000000",
                    "timezone_type": 3,
                    "timezone": "UTC"
                },
                "_links": {
                    "self": {
                        "href": "https://api.gestao.plus/user/5510"
                    }
                }
            }
        ]
    },
    "total_items": 1
}
```

{% endtab %}

{% tab title="401 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/private/list_user_info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
